# Burns

## All Burns

## /burns

<mark style="color:blue;">`GET`</mark> `https://explorer.protokol.sh/api/nft/burns`&#x20;

Return all burn transactions

#### Query Parameters

| Name      | Type    | Description                                                                 |
| --------- | ------- | --------------------------------------------------------------------------- |
| page      | integer | The number of page to be returned                                           |
| limit     | integer | The number of resources per page                                            |
| orderBy   | string  | <p>Order by specific parameter (asc or desc)<br>Example: orderBy=id:asc</p> |
| transform | boolean | Returns modified or raw data                                                |

{% tabs %}
{% tab title="200 " %}

```javascript
{
  "meta": {
    "totalCountIsEstimate": true,
    "count": 1,
    "pageCount": 1,
    "totalCount": 1,
    "next": null,
    "previous": null,
    "self": "/nft/burns?transform=true&page=1&limit=100",
    "first": "/nft/burns?transform=true&page=1&limit=100",
    "last": "/nft/burns?transform=true&page=1&limit=100"
  },
  "data": [
    {
      "id": "a6664c2d2e26e4c7a7548850f0f820d755c0cad1287a21be2582ab039f6d5c2f",
      "senderPublicKey": "03287bfebba4c7881a0509717e71b34b63f31e40021c321f89ae04f84be6d6ac37",
      "nftBurn": {
        "nftId": "f811518958861d4c1e72943f646b1bd848f606e6cc9bd6300480e6a0b501cf47"
      },
      "timestamp": {
        "epoch": 143493208,
        "unix": 1633594408,
        "human": "2021-10-07T08:13:28.000Z"
      }
    }
  ]
}
```

{% endtab %}
{% endtabs %}

### Examples

{% tabs %}
{% tab title="Curl" %}

```
curl https://explorer.protokol.sh/api/nft/burns
```

{% endtab %}

{% tab title="Typescript" %}

```typescript
const response = connection.NFTBaseApi("burns").all();

>>> Promise<ApiResponseWithPagination<BurnsResource[]>>
```

{% endtab %}
{% endtabs %}

## Burn By Id

## /burns/:id

<mark style="color:blue;">`GET`</mark> `https://explorer.protokol.sh/api/nft/burns/:id`&#x20;

Returns burn transaction by id

#### Path Parameters

| Name | Type   | Description                    |
| ---- | ------ | ------------------------------ |
| id   | string | The identifier to be retrieved |

#### Query Parameters

| Name      | Type    | Description                  |
| --------- | ------- | ---------------------------- |
| transform | boolean | Returns modified or raw data |

{% tabs %}
{% tab title="200 " %}

```javascript
{
  "data": {
    "id": "a6664c2d2e26e4c7a7548850f0f820d755c0cad1287a21be2582ab039f6d5c2f",
    "senderPublicKey": "03287bfebba4c7881a0509717e71b34b63f31e40021c321f89ae04f84be6d6ac37",
    "nftBurn": {
      "nftId": "f811518958861d4c1e72943f646b1bd848f606e6cc9bd6300480e6a0b501cf47"
    },
    "timestamp": {
      "epoch": 143493208,
      "unix": 1633594408,
      "human": "2021-10-07T08:13:28.000Z"
    }
  }
}
```

{% endtab %}

{% tab title="404 " %}

```javascript
{
  "statusCode": 404,
  "error": "Not Found",
  "message": "Burn Transaction not found"
}
```

{% endtab %}

{% tab title="422 " %}

```javascript
{
  "statusCode": 422,
  "error": "Unprocessable Entity",
  "message": "\"id\" length must be 64 characters long"
}
```

{% endtab %}
{% endtabs %}

### Examples

{% tabs %}
{% tab title="Curl" %}

```
curl https://explorer.protokol.sh/api/nft/burns/f2c47694e32cdb7cae7e3ca8726836fac323a3175559277469faf541ae49c5b4
```

{% endtab %}

{% tab title="Typescript" %}

```typescript
const response = connection.NFTBaseApi("burns").get("VALID_ID");

>>> Promise<ApiResponse<BurnsResource>>
```

{% endtab %}
{% endtabs %}
